Skip to main content
GET
/
graph
/
neighbors
Get Neighbors
curl --request GET \
  --url https://api.example.com/graph/neighbors
[
  {
    "provider": "<string>",
    "resource": "<string>",
    "name": "<string>",
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "config": {},
    "resolved_config": {},
    "dependencies": [],
    "owner_references": [],
    "outputs": {},
    "error": "<string>",
    "lifecycle_state": "draft",
    "health": "healthy",
    "health_message": "<string>",
    "pending_event_id": "<string>",
    "pending_event_type": "<string>",
    "provisioned": false,
    "reconcile_count": 0,
    "version": 0,
    "tags": [
      "<string>"
    ],
    "provider_version": "<string>"
  }
]

Query Parameters

provider
string
required

Provider name of the anchor resource

resource
string
required

Resource type of the anchor resource

name
string
required

Name of the anchor resource

Response

Successful Response

provider
string
required
resource
string
required
name
string
required
id
string
required

External resource ID for API responses: provider/resource/name.

created_at
string<date-time>
updated_at
string<date-time>
config
Config · object
resolved_config
Resolved Config · object
dependencies
ResourceReference · object[]
owner_references
OwnerReference · object[]
outputs
Outputs · object
error
string | null
lifecycle_state
enum<string>
default:draft

Lifecycle states for resources.

Available options:
draft,
waiting,
pending,
processing,
ready,
failed,
deleting
health
enum<string>
default:healthy
Available options:
healthy,
degraded
health_message
string | null
pending_event_id
string | null
pending_event_type
string | null
provisioned
boolean
default:false
reconcile_count
integer
default:0
version
integer
default:0
tags
string[] | null
provider_version
string | null